Subject: Re: MYSQL + CYGWIN
From: "Gerrit P. Haase" <[email-masked]>
To: Marcelo Rezende Módolo <[email-masked]>
Cc: [email-masked]
Date: Thu, 18 Sep 2003 08:15:21 +0200

Hallo Marcelo,

Am Donnerstag, 18. September 2003 um 04:20 schriebst du:

> Hi,
> I am trying to compile mysql (mysql-4.0.15) with cygwin, I  run
> ./configure, and make but I receive this error:

> ...
> item_timefunc.o(.text+0x2ca6):item_timefunc.cc: undefined reference to 
> `__static_initialization_and_destruction_0(int, int)'

> Is this a linker error??

You may find in the archives that it should compile if you comment the
#pragma interface
and the
#pragma implementation
in all C files and headers it shows up.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/